Package org.spongepowered.asm.mixin.gen

## Class AccessorGeneratorObjectFactory

- java.lang.Object
- - org.spongepowered.asm.mixin.gen.AccessorGenerator
  - - org.spongepowered.asm.mixin.gen.AccessorGeneratorMethodProxy
    - - org.spongepowered.asm.mixin.gen.AccessorGeneratorObjectFactory

    public class AccessorGeneratorObjectFactory
    extends AccessorGeneratorMethodProxy

Generator for factory methods (constructor invokers)

### Field Summary

### Fields inherited from class org.spongepowered.asm.mixin.gen.AccessorGeneratorMethodProxy

`argTypes, returnType, targetMethod`

### Fields inherited from class org.spongepowered.asm.mixin.gen.AccessorGenerator

`info, targetIsInterface, targetIsStatic`

### Constructor Summary

Constructors
`AccessorGeneratorObjectFactory​(AccessorInfo info)`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.objectweb.asm.tree.MethodNode` `generate()` Generate the accessor method

### Methods inherited from class org.spongepowered.asm.mixin.gen.AccessorGenerator

`checkModifiers, createMethod, validate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AccessorGeneratorObjectFactory

    public AccessorGeneratorObjectFactory​(AccessorInfo info)

### Method Detail

#### generate

    public org.objectweb.asm.tree.MethodNode generate()

Description copied from class: `AccessorGenerator`
Generate the accessor method

Overrides:
  `generate` in class `AccessorGeneratorMethodProxy`
Returns:
  generated accessor method